Bug 91394 - Presistance does not work properly
Summary: Presistance does not work properly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: piranha   
(Show other bugs)
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-22 10:29 UTC by Florian Brand
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-23 00:44:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florian Brand 2003-05-22 10:29:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021105

Description of problem:
When configuring piranha to use persistance:
     persistent = 20
     quiesce_server = 1

a failover to another real server does not happen.

Version-Release number of selected component (if applicable):
piranha-0.7.0-5

How reproducible:
Always

Steps to Reproduce:
1.on a test machine run watch lynx --dump virtualserverip
2.shut down the server lynx connects to
    

Actual Results:  Connection refused

Expected Results:  HTTP 200 OK

Additional info:

after removing the persistent setting the failover of the real server happens as
expected

Comment 1 Mike McLean 2003-05-23 00:44:27 UTC
This only affects preexisting persistent connections.  After failover, try
connecting from a *different* machine.  After the persistence timeout, even the
previously connected machine will get routed elsewhere.

If it makes sense for another machine to take over a persistent connection, then
you don't really need persistence.  If there is a valid reason to use
persistence then you probably want the observed behavior.




Note You need to log in before you can comment on or make changes to this bug.